%--------------------------------------------------------------------------
% File     : SET103-6 : TPTP v3.0.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Special member 1 of an ordered pair
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.55 v2.7.0, 0.50 v2.6.0, 0.44 v2.5.0, 0.45 v2.4.0, 0.25 v2.3.0, 0.50 v2.2.1, 0.50 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses     :   93 (   8 non-Horn;  31 unit;  64 RR)
%            Number of atoms       :  183 (  40 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   10 (   0 propositional; 1-3 arity)
%            Number of functors    :   40 (  10 constant; 0-3 arity)
%            Number of variables   :  176 (  25 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 

include('Axioms/SET004-0.ax',[not_subclass_members1, class_elements_are_sets, bla, blabla, blablug]).
%include('Axioms/SET004-0.ax',[not_subclass_members1, class_elements_are_sets]).


%--------------------------------------------------------------------------
cnf(prove_property_1_of_ordered_pair_1,negated_conjecture,
    (  unordered_pair(singleton(x),unordered_pair(x,null_class)) != ordered_pair(x,y) )).

cnf(prove_property_1_of_ordered_pair_2,negated_conjecture,
    ( ~ member(y,universal_class) )).

%--------------------------------------------------------------------------
