#ifndef TP_FLATDEMOD_H
#define TP_FLATDEMOD_H

#include "termflag.h"
#include "unify.h"
#include "discrim.h"
#include "clause.h"
#include "parautil.h"
#include "flatterm.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from flatdemod.c */

Flatterm fapply_demod(Term t, Context c);

Plist discrim_flat_retrieve_leaf(Flatterm fin, Discrim root,
				 Context subst, Flatterm *ppos);

void *discrim_flat_retrieve_first(Flatterm f, Discrim root,
				  Context subst, Discrim_pos *ppos);

void *discrim_flat_retrieve_next(Discrim_pos pos);

void discrim_flat_cancel(Discrim_pos pos);

Term fdemodulate(Term t, Discrim root, int *step_limit, Ilist *just_head,
		 BOOL lex_order_vars);

int fdemod_attempts();

int fdemod_rewrites();

#endif  /* conditional compilation of whole file */
