package org.mathweb.core;

import java.io.*;
import net.sourceforge.groboutils.util.xml.v1.XMLUtil;

class MathWebXMLUtil extends net.sourceforge.groboutils.util.xml.v1.XMLUtil
{
  public String readFile(String fileName){
    try {
      FileInputStream isFile = new FileInputStream(fileName);
      int nChar;
      StringBuffer sbRead = new StringBuffer();
      nChar = isFile.read();
      while (nChar > -1) {
        sbRead.append((char) nChar);
        nChar = isFile.read();
      }
      return sbRead.toString();
    } catch (IOException ioe) {
      return null;
    }
  }
  public String utf2xml(String string)
  {
    return super.utf2xml(string);
  }

  public static void main(String argv[]) throws Exception {
    if (argv.length>0) {
      MathWebXMLUtil u = new MathWebXMLUtil();
      String file1 = argv[0];
      String content = u.readFile(file1);
      String xml = u.utf2xml(content);
      System.out.println(xml);
    }
  }
  
}
  
