// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathWeb agent system

Authors: Juergen Zimmer

email: jzimmer@mathweb.org
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB nformatik                                            
Universitaet des Saarlandes                                          
Bau 36, 4. Stock                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathWeb, see 
http://www.mathweb.org/mathweb/agents

See the file "LICENSE" or
http://www.mathweb.org/mathweb/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/
package org.mathweb.dp;

import java.io.*;
import org.apache.log4j.Level;
import org.apache.log4j.Logger; 
import org.apache.log4j.FileAppender; 
import org.apache.log4j.SimpleLayout; 

import org.mathweb.core.BasicService;
import org.mathweb.util.*;
import org.mathweb.onto.OWLJDom;

/**
@author Wooseok Park  Universitaet des Saarlandes
@version $Date: 2005/06/16 09:13:59 $ $Revision: 1.1 $
*/
public class Harvey  extends BasicService {

  private String Harvey_HOME = getSystemProperty("harvey.home", "HARVEY_HOME");
  //  private String[] harvey_envs = new String[] {"Harvey_HOME="+Harvey_HOME};
  //  private String rvcExecutable = findSystemExecutable(Harvey_HOME, "rvc", "EProof.exe");
  //  private String rvExecutable = findSystemExecutable(Harvey_HOME, "rv", "EProof.exe");

  //  private static Logger logger = Logger.getLogger("harvey");
  //  private static String logFileName = getSystemProperty("harvey.log.file", "HARVEY_LOG_FILE");
  //  private static FileAppender appender = newAppender(logFileName);
  
  public Harvey()
  {
    //  super();
    //  logger.setLevel(Level.ALL);
    //  logger.setLevel(Level.OFF);
    //  if (!logger.getAllAppenders().hasMoreElements()) logger.addAppender(appender);
  }  
  
  public String decideProblem(String harveyProblem){
    return "hallo";
  }

   public static void main(String argv[]) throws Exception {
     Harvey h = new Harvey();
     System.out.println("haRVey!");
   }
  

} 

/* Settings for Emacs.
 * Local variables:
 * c-basic-offset: 2
 * tab-width: 2
 * indent-tabs-mode: nil
 * End:
 */
