package org.mathweb.reasoning.partialorderplanner;
import javax.swing.JTree;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import java.awt.*;
import javax.swing.border.*;

import org.mathweb.reasoning.planning.*;


public class ActionPanel extends JPanel {
    private ActionTree tree;
    private JScrollPane treeView;

    public ActionPanel(Action action){
 	setBorder(new LineBorder(Color.RED, 3));
 	setLayout(new BorderLayout());
 	tree = new ActionTree(action);
 	treeView = new JScrollPane(tree);
 	add(treeView);
    }

    public ActionTree getTree() {
	return tree;
    }

//     public void setAction(Action action) {
// 	remove(treeView);
// 	tree = new ActionTree(action);
// 	treeView = new JScrollPane(tree);
// 	add(treeView);
//     }

    public void resetTree(Action action) {
	tree = new ActionTree(action);

	remove(treeView);
 	treeView = new JScrollPane(tree);
 	add(treeView, BorderLayout.CENTER);
	updateUI();
    }
}
