package org.mathweb.reasoning.partialorderplanner;
import org.mathweb.reasoning.logic.*;
import org.mathweb.reasoning.planning.*;  
import org.mathweb.reasoning.parser.Parser;
import java.util.Date;

public class BindingTests {
    Parser pp;

    public BindingTests() {
	try{
	    pp = Parser.loadFromFile("partialorderplanner/bindingtests.txt");
	    LogicSystem system = new LogicSystem(pp.getActions());
	} catch(Exception e){
	    System.out.println(e);
	}
    }

    public void test() {
	Literal l = ((Action)pp.getActions().get(0)).getPrecondition(0); 
	System.out.println(l);
	Variable v1 = (Variable)l.getArgument(0);
	Variable v2 = (Variable)l.getArgument(1);
	Variable v3 = (Variable)l.getArgument(2);
	Variable v4 = (Variable)l.getArgument(3);
	Variable v5 = (Variable)l.getArgument(4);
 	Variable v6 = (Variable)l.getArgument(5);
 	Constant a = (Constant)l.getArgument(6);
 	Constant b = (Constant)l.getArgument(7);
	System.out.println(v1 + " " + v2 + " " + v3 + " " + v4 + " " + v5 + " " + v6 + " " + a + " " + b);
	
	BindingTable bt = new BindingTable();
	BindingConstraints bc = new BindingConstraints();
// 	System.out.println("Test1");
//  	bt = bt.addBinding(v1, v2, bc);
//  	bt = bt.addBinding(v2, v3, bc);
//  	System.out.println(bt);
// 	bt = bt.addBinding(v3, b, bc);
//  	System.out.println(bt);
// 	bt = bt.addBinding(v1, a, bc);
//  	System.out.println(bt);

// 	bt = new BindingTable();
// 	System.out.println("\nTest2");
//  	bt = bt.addBinding(v1, v2, bc);
//  	bt = bt.addBinding(v2, a, bc);
//  	System.out.println(bt);

	//Multiple Binding1
//    	bt = new BindingTable();
//   	System.out.println("\nTest3: Multiple Bindings1");
//     	bt = bt.addBinding(v1, v2, bc);
//      	bt = bt.addBinding(v1, v3, bc);
//      	System.out.println(bt);
//     	System.out.println("CompressBindings: " + bt.compressBindings());
//     	System.out.println("EqualitySet: " + v1 + ": " + bt.getEqualitySet(v1));
//     	System.out.println("EqualitySet: " + v2 + ": " + bt.getEqualitySet(v2));
//     	System.out.println("EqualitySet: " + v3 + ": " + bt.getEqualitySet(v3));
//     	System.out.println("EqualitySet: " + v4 + ": " + bt.getEqualitySet(v4));
//     	System.out.println("EqualitySet: " + v5 + ": " + bt.getEqualitySet(v5));
//     	System.out.println("EqualitySet: " + v6 + ": " + bt.getEqualitySet(v6));

//  	//Multiple Binding1
//    	bt = new BindingTable();
//    	System.out.println("\nTest4: Multiple Bindings2");
//     	bt = bt.addBinding(v1, v2, bc);
//      	bt = bt.addBinding(v1, v3, bc);
//      	System.out.println(bt);
//     	bt = bt.addBinding(v3, v4, bc);
//      	bt = bt.addBinding(v4, v5, bc);
//     	bt = bt.addBinding(v2, v6, bc);
//      	System.out.println(bt);
//     	System.out.println("CompressBindings: " + bt.compressBindings());
//     	System.out.println("EqualitySet: " + v1 + ": " + bt.getEqualitySet(v1));
//     	System.out.println("EqualitySet: " + v2 + ": " + bt.getEqualitySet(v2));
//     	System.out.println("EqualitySet: " + v3 + ": " + bt.getEqualitySet(v3));
//     	System.out.println("EqualitySet: " + v4 + ": " + bt.getEqualitySet(v4));
//     	System.out.println("EqualitySet: " + v5 + ": " + bt.getEqualitySet(v5));
//     	System.out.println("EqualitySet: " + v6 + ": " + bt.getEqualitySet(v6));

//    	bt = new BindingTable();
//   	System.out.println("\nTest5");
//    	bt = bt.addBinding(v1, v2, bc);
//   	bt = bt.addBinding(v2, v3, bc);
//   	bt = bt.addBinding(v3, v4, bc);
//   	System.out.println(bt);
//     	System.out.println("CompressBindings: " + bt.compressBindings());
//     	System.out.println("EqualitySet: " + v1 + ": " + bt.getEqualitySet(v1));
//     	System.out.println("EqualitySet: " + v2 + ": " + bt.getEqualitySet(v2));
//     	System.out.println("EqualitySet: " + v3 + ": " + bt.getEqualitySet(v3));
//     	System.out.println("EqualitySet: " + v4 + ": " + bt.getEqualitySet(v4));
//     	System.out.println("EqualitySet: " + v5 + ": " + bt.getEqualitySet(v5));
//     	System.out.println("EqualitySet: " + v6 + ": " + bt.getEqualitySet(v6));

// 	bt = new BindingTable();
//    	bc = new BindingConstraints();
//       	System.out.println("\nisViolatoin Test1");
//   	bc = bc.addConstraint(v3, v6);
//       	bt = bt.addBinding(v1, v2, bc);
//       	bt = bt.addBinding(v2, v3, bc);
//      	bt = bt.addBinding(v4, v5, bc);
//       	bt = bt.addBinding(v5, v6, bc);
//      	System.out.println(bc);
//      	System.out.println(bt);
//   	System.out.println("isViolation(v1-->v4): " + bc.isViolation(v1, v4, bt));
// 	bt = bt.addBinding(v2, a, bc);
// 	System.out.println("addBinding(v2-->a)\n" + bt);
// 	System.out.println("addBinding(v4-->a)\n" + bt.addBinding(v4, a, bc););

	bt = new BindingTable();
   	//bc = new BindingConstraints();
       	System.out.println("\nVariable to multiple constant test1");
   	//bc = bc.addConstraint(v2, v3);
	bt = bt.addBinding(v1, v2, bc);
	bt = bt.addBinding(v1, v3, bc);
	bt = bt.addBinding(v3, v4, bc);
	System.out.println(bt);
 	bt = bt.addBinding(v3, a, bc);
 	System.out.println("addBinding(v2-->a)\n" + bt);

// 	bt = new BindingTable();
//    	bc = new BindingConstraints();
//        	System.out.println("\nVariable to multiple constant test1");
//    	bc = bc.addConstraint(v1, v2);
//    	bc = bc.addConstraint(v2, v3);
// 	bt = bt.addBinding(v1, a, bc);
// 	System.out.println(bt);
// 	System.out.println(bc);
// 	//System.out.println(bt.compressBindings());
// 	//System.out.println(bc.applyBindings(bt));



	//Renaming test
//  	Action a = (Action)pp.getActions().get(0);
//  	Action a2 = (Action)pp.getActions().get(1);
// 	System.out.println("Equals?: " + (a.equals(a2)));

	//System.out.println("Equals?: " + ((new Action(a)).equals(a)));
 	//NameGen nameGen = new NameGen(1000);
 	//System.out.println(a.toLongString());
 	//System.out.println(a.renameVariables(nameGen).toLongString());
	
	
    }
    
    public static void main(String [] args) {
	try{
	    System.out.println("Binding Tests");
	    System.out.println("---------------");
	    BindingTests test = new BindingTests();
	    test.test();
	} catch (Exception e){
            System.err.println(e.getMessage());
            e.printStackTrace();
        }
    }
}
