package org.mathweb.reasoning.partialorderplanner;
import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;
import javax.swing.border.*;

public class POPPanel extends JPanel {
    private POPTree tree;
    private JScrollPane treeView;

    public POPPanel(PartialOrderPlan plan) {
	setLayout(new BorderLayout());
	tree = new POPTree(plan);
 	treeView = new JScrollPane(tree);
 	add(treeView, BorderLayout.CENTER);
    }

    public POPTree getTree() {
	return tree;
    }

    public void resetTree(PartialOrderPlan plan) {
	tree = new POPTree(plan);

	remove(treeView);
 	treeView = new JScrollPane(tree);
 	add(treeView, BorderLayout.CENTER);
	updateUI();
    }

    public void resetTree(PartialOrderPlan plan1, PartialOrderPlan plan2) {
	tree = new POPTree(plan1, plan2);

	remove(treeView);
 	treeView = new JScrollPane(tree);
 	add(treeView, BorderLayout.CENTER);
	updateUI();
    }
}
