package org.mathweb.reasoning.partialorderplanner;
import org.mathweb.reasoning.planning.Action;
import javax.swing.tree.DefaultMutableTreeNode;

public class SearchTreeActionNode extends DefaultMutableTreeNode {
    Action action;
    PartialOrderPlan plan;
    
    public SearchTreeActionNode(Action action, PartialOrderPlan plan){
	super(plan);
	this.action = action;
	this.plan = plan;
    }
    
    public String toString() {
	return action.toString();
    }
}
