package org.mathweb.reasoning.partialorderplanner;
import javax.swing.JTree;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import java.awt.*;
import javax.swing.border.*;
import org.mathweb.reasoning.planning.*;

public class SearchTreePanel extends JPanel {
    private SearchTree tree;
    private JScrollPane treeView;
    private PartialOrderPlanner planner;

    public SearchTreePanel(PartialOrderPlanner planner){
	this.planner = planner;
 	setLayout(new BorderLayout());
 	tree = new SearchTree(planner);
 	treeView = new JScrollPane(tree);
 	add(treeView);
    }

    public SearchTree getTree() {
	return tree;
    }
}
