
package org.mathweb.util;

import java.util.*;
import java.net.InetAddress;
//import javax.wsdl.Definition;

import org.apache.axis.wsdl.fromJava.Emitter;

// import org.apache.axis.wsdl.gen.Parser;
// import org.apache.xerces.parsers.DOMParser;
// import org.w3c.dom.Document;


public class Java2WSDL 
{
  public String hostname = getHostname();
  //  static public String hostname = "localhost";
  
  public String java2WSDL(String serviceName, String className, Vector allowedMeths)
  {
    try{
      String locationURL = "http://" + this.hostname + ":8080/axis/services/" + serviceName;
      Emitter emit = new Emitter();
      emit.setCls(className);
      emit.setAllowedMethods(allowedMeths);
      emit.setLocationUrl(locationURL);
      String wsdl = emit.emitToString(0);
      return wsdl;
    }catch(Exception e){
      e.printStackTrace();
      return null;
    }
  }

  public String java2WSDL(String hostname, String serviceName, String className, Vector allowedMeths)
  {
    this.hostname = hostname;
    return java2WSDL(serviceName, className, allowedMeths);
  }
  
//   public static String changeHostname(String wsdlXML, String serviceName)
//   {
//     try{
//       String locationURL = "http://" + hostname + ":8080/axis/services/" + serviceName;
      
//       DOMParser parser = new DOMParser();
//       parser.parse(new InputSource(new StringReader(wsdlXML)));
//       Document domDoc = parser.getDocument();
//       Parser wsdlParser = new Parser();
//       wsdlParser.run(null, domDoc);
//       Definition def = wsdlParser.getCurrentDefinition();
      
//   }
  
  
  public static String getHostname()
  {
    try{
      String hn = InetAddress.getLocalHost().getHostName();
      return hn;
    }catch(Exception e){
      e.printStackTrace();
    }
    return null;
  }
    
  public static void main(String argv[]) throws Exception {
    
    Java2WSDL j2w = new Java2WSDL();
    Vector ms = new Vector();
    ms.add("proveProblem");
    
    String result = j2w.java2WSDL("OtterATP", "org.mathweb.atp.Otter", ms);
    System.out.println(result);
  }
}

  
