
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : init-mathweb.scm
;; DESCRIPTION : Initialize the mathweb plugin
;; AUTHOR      : Henri Lesourd, Uni Saarbrucken, 2004
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (initialize)
  (import-from (mathweb))
  (mathweb-initialize))

(plugin-configure mathweb
  (:require (url-exists-in-path? "mathweb.bin"))
  (:launch "mathweb.bin")
  (:initialize (initialize)))
