/*------------------------------------------------------------------*/
/*      affcslave.c
/*
/*      Copyright Newborn Software 1997
/*
/*      This file simple reads the clauses from the master to
/*      this slave and stores them on zxzxzxzxzz
/*
/*      get_clauses()......................#1
/*
/*------------------------------------------------------------------*/
 
#include <pvm3.h>
#include <strings.h>
#include <stdio.h>

#include "const.h"
#include "clauseS.h"

char theoCodeBuffer[200000];
extern char compiled_code_buffer[];
extern char *comp_code_buffer_index;
extern int compiled_code_size[14];
extern int theorem_rating;

extern int my_tid;
extern int myparent;
extern char buf[20000];
extern int spawned;
extern int this_computer;
extern int theorem_number;

/*-----------------------------------------------------------------*/
/* void get_clauses();
/*-----------------------------------------------------------------*/

void get_clauses();

/*------------------------------------------------------------------*/ 
/*      get_clauses()         .......................#28
/*
/*      called by:  main()                  tgtp.c
/*
/*      returns:    nil
/*------------------------------------------------------------------*/
 
void get_clauses()
{
int i;

for(i = 0; i < MAX_COMPILED_THM_SIZE; i++) { 
   compiled_code_buffer[i] = 0;}

begin_rec:
pvm_recv(myparent,CCS);
pvm_upkint(compiled_code_size,14,1);
if(compiled_code_size[0] != -compiled_code_size[1]) goto begin_rec;

pvm_recv(myparent,CCB);
pvm_upkbyte(theoCodeBuffer, compiled_code_size[0],1);

pvm_initsend(PvmDataDefault);
pvm_pkint(compiled_code_size,1,1);
pvm_send(myparent,CCSR);

this_computer = compiled_code_size[2] - 1;

if(compiled_code_size[3] < 0L) {
   spawned = - compiled_code_size[3];}
else {
   spawned = compiled_code_size[3];}

theorem_number = compiled_code_size[10];
theorem_rating = compiled_code_size[13];
return;
}

