#ifndef TP_CNF_H
#define TP_CNF_H

#include "formula.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from cnf.c */

BOOL formula_ident_share(Formula f, Formula g);

Formula formula_copy_share(Formula f);

Formula cnf(Formula f);

Formula dnf(Formula f);

Formula skolemize(Formula f);

Formula unique_quantified_vars(Formula f);

Formula remove_universal_quantifiers(Formula f);

Formula clausify_prepare(Formula f);

Formula miniscope(Formula f);

Formula miniscope_formula(Formula f, unsigned mega_fid_call_limit);

int cnf_max_clauses(Formula f);

#endif  /* conditional compilation of whole file */
