#ifndef TP_DISCRIMB_H
#define TP_DISCRIMB_H

#include "discrim.h"

/* INTRODUCTION
Discrimination tree indexing in which variables are
distinguished in the index and are bound
as soon as possible during retrieval.
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from discrimb.c */

void fprint_discrimb_mem(FILE *fp, BOOL heading);

void p_discrimb_mem(void);

void fprint_discrim_bind_index(FILE *fp, Discrim d);

void p_discrim_bind_index(Discrim d);

void discrim_bind_update(Term t, Discrim root, void *object, Indexop op);

void *discrim_bind_retrieve_first(Term t, Discrim root,
				  Context subst, Discrim_pos *ppos);

void *discrim_bind_retrieve_next(Discrim_pos pos);

void discrim_bind_cancel(Discrim_pos pos);

#endif  /* conditional compilation of whole file */
