#ifndef TP_HINTS_H
#define TP_HINTS_H

#include "header.h"
#include "lindex.h"
#include "subsume.h"
#include "ioutil.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from hints.c */

void init_hints(Uniftype utype);

void done_with_hints(void);

int redundant_hints(void);

void index_hint(Clause c, int label_at);

void unindex_hint(Clause c);

void adjust_weight_with_hints(Clause c,
			      int bsub_add_wt_at,
			      int bsub_wt_at,
			      int label_at,
			      BOOL degrade);

#endif  /* conditional compilation of whole file */
