#ifndef TP_NONPORT_H
#define TP_NONPORT_H

#include "header.h"

/* #define PRIMITIVE_ENVIRONMENT */

/* INTRODUCTION
This package has some utilities that might not be portable
to other environments.  If you get errors trying to compile
this package, you can either modify nonport.c, or
<PRE>
#define PRIMITIVE_ENVIRONMENT
</PRE>
in nonport.h, which disables everything.
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from nonport.c */

char *username(void);

char *hostname(void);

int my_process_id(void);

#endif  /* conditional compilation of whole file */
