#ifndef TP_SUBSUME_H
#define TP_SUBSUME_H

#include "clauseid.h"
#include "lindex.h"
#include "just.h"
#include "parautil.h"
#include "features.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from subsume.c */

int nonunit_subsumption_tests(void);

BOOL subsumes(Clause c, Clause d);

BOOL subsumes_bt(Clause c, Clause d);

Clause forward_subsume(Clause d, Lindex idx);

Plist back_subsume(Clause c, Lindex idx);

Clause back_subsume_one(Clause c, Lindex idx);

Plist unit_conflict_by_index(Clause c, int max, Lindex idx);

void unit_delete(Clause c, Lindex idx);

Plist back_unit_del_by_index(Clause unit, Lindex idx);

void simplify_literals(Clause c);

#endif  /* conditional compilation of whole file */
