#ifndef TP_TLIST_H
#define TP_TLIST_H

#include "term.h"

/* INTRODUCTION
This little package handles singly-linked lists of terms.
The data type Plist is used to build the lists.
<P>
Note that there is another package, listterm, that does similar
things, but constructing the lists from ordinary terms, as in Prolog.
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from tlist.c */

BOOL tlist_member(Term t, Plist lst);

void zap_tlist(Plist p);

Plist tlist_remove(Term t, Plist p);

Plist tlist_union(Plist a, Plist b);

Plist constants_in_term(Term t, Plist p);

Plist tlist_copy(Plist p);

#endif  /* conditional compilation of whole file */
