#ifndef TP_PROPAGATE_H
#define TP_PROPAGATE_H

/* types of items in the Todo list */

#define ASSIGNMENT        0  /* f(1,2)=3      P(1,2)     ~P(1,2) */
#define NEAR_ASSIGNMENT   1  /* f(1,g(2))=3   P(1,g(2))   ~P(1,g(2)) */
#define ELIMINATION       2  /* f(1,2) != 3 */
#define NEAR_ELIMINATION  3  /* f(1,g(2)) != 3 */

/* Public function prototypes from propagate.c */

BOOL eterm(Term t, int *id);

Term decode_eterm_id(int id);

void process_initial_clause(Mclause c, Mstate state);

Estack assign_and_propagate(int id, Term value);

Estack reset_estack(void);

void new_elimination(int id, Term beta, Mstate state);

#endif  /* conditional compilation of whole file */
