#ifndef TP_DEMODULATE_H
#define TP_DEMODULATE_H

#include "../ladr/clock.h"
#include "../ladr/backdemod.h"
#include "../ladr/clause2.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from demodulate.c */

void init_demodulator_index(Mindextype mtype, Uniftype utype, int fpa_depth);

void init_back_demod_index(Mindextype mtype, Uniftype utype, int fpa_depth);

void index_demodulator(Clause c, int type, Indexop operation, Clock clock);

void index_back_demod(Clause c, Indexop operation, Clock clock, BOOL enabled);

void destroy_demodulation_index(void);

void destroy_back_demod_index(void);

void demodulate_clause(Clause c, int limit, BOOL print);

Plist back_demodulatable(Clause demod, int type);

void back_demod_idx_report(void);

#endif  /* conditional compilation of whole file */
