
/*
 * File Assertion.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#if DEBUG_PREPRO

#ifndef __Assertion__
#define __Assertion__

class Formula;


class Assertion
{
public:
  static bool isInENNF (const Formula&);
  static bool isInNNF (const Formula&);
  static bool isFlat (const Formula&);
  static bool isTreeRectified (const Formula&);
};


#endif 

#endif 
