
/*
 * File InferenceRule.hpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */



#ifndef __InferenceRule__
#define __InferenceRule__



enum InferenceRule {
  
  IR_INPUT,
  
  IR_CHOICE_AXIOM,
  
  IR_MONOTONE_REPLACEMENT,
  
  IR_FORALL_ELIMINATION,
  
  IR_RECTIFY,
  
  IR_NOT_AND,
  
  IR_NOT_OR,
  
  IR_NOT_IMP,
  
  IR_NOT_IFF,
  
  IR_NOT_XOR,
  
  IR_NOT_NOT,
  
  IR_NOT_FORALL,
  
  IR_NOT_EXISTS,
  
  IR_IMP_TO_OR,
  
  IR_IFF_TO_AND,
  
  IR_XOR_TO_AND,
  
  IR_CLOSURE,
  
  IR_FLATTEN,
  
  IR_NORMALIZE,
  
  IR_ENNF,
  
  IR_NNF,
  
  IR_DUMMY_QUANTIFIER_REMOVAL,
  
  IR_FORALL_AND,
  
  IR_EXISTS_OR,
  
  IR_QUANTIFIER_SWAP,
  
  IR_FORALL_OR,
  
  IR_EXISTS_AND,

  
  IR_PERMUT,
  
  IR_REORDER_EQ,
  
  IR_HALF_EQUIV,
  
  IR_MINISCOPE,
  
  IR_SKOLEMIZE,
  
  IR_CLAUSIFY,
  
  IR_REMOVE_DUPLICATE_LITERALS,
  
  IR_KERNEL,
  
  IR_RESOLUTION,
  
  IR_EQUALITY_PROXY_REPLACEMENT,
  
  IR_EQUALITY_PROXY_AXIOM1,
  
  IR_EQUALITY_PROXY_AXIOM2,
  
  IR_DEFINITION_UNFOLDING
}; 


#endif
