
/*
 * File Lists.cpp.
 * Copyright (c) 2004 Andrei Voronkov and Alexandre Riazanov.
 *
 * You are not allowed to use or modify this software or
 * any part thereof.
 * The only reason this file appears on the Web is that
 * it is required by the CASC rules.
 * All questions related to licensing and distribution of
 * Vampire should be addressed to Andrei Voronkov.
 */


#include "Int.hpp"
#include "Lists.hpp"


string IntList::toString () const
{
  if (isEmpty()) {
    return "";
  }
  string result = Int::toString(head());
  Iterator<int> it (tail());
  while (it.hasNext()) {
    result += (string)"." + Int::toString(it.next());
  }

  return result;
} 

