(*
This file is part of the first order theorem prover Darwin
Copyright (C) 2005
              The University of Iowa

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*)


(** global constants
*)




(** {2 Exceptions} *)


(** the derivation is aborted because of a limitation of the implementation.
*)
exception NO_SOLUTION of string




(** {2 Debug} *)

(** compile the (slow) debug version which performs additional consistency checks,
    i.e. each module may perform additional consistency checks. *)
val debug: bool
