#ifndef TP_DEMOD_H
#define TP_DEMOD_H

#include "mindex.h"
#include "clause.h"
#include "parautil.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* types of demodulator */

enum { NOT_DEMODULATOR, ORIENTED, LEX_DEP_LR, LEX_DEP_RL, LEX_DEP_BOTH };

/* Public function prototypes from demod.c */

int demodulator_type(Clause c, int lex_dep_demod_lim, BOOL sane);

void idx_demodulator(Clause c, int type, Indexop operation, Mindex idx);

int demod_attempts();

int demod_rewrites();

Term demodulate(Term t, Mindex demods, Ilist *just_head, BOOL lex_order_vars);

void demod1(Clause c, Clause demodulator, int direction,
	    Ilist *fpos, Ilist *ipos,
	    BOOL lex_order_vars);

#endif  /* conditional compilation of whole file */
