// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathWeb agent system

Authors: Juergen Zimmer

email: jzimmer@mathweb.org
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB nformatik                                            
Universitaet des Saarlandes                                          
Bau 36, 4. Stock                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathWeb, see 
http://www.mathweb.org/mathweb/agents

See the file "LICENSE" or
http://www.mathweb.org/mathweb/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/

//  For testing:
//   jade -gui atp:org.mathweb.atp.SpassAgent dummy0:jade.tools.DummyAgent.DummyAgent

package org.mathweb.atp;

import java.util.Date;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Calendar;
import java.io.*;
import java.lang.reflect.Array;


/**
@author Juergen Zimmer University of Edinburgh
@version $Date: 2004/04/18 17:53:18 $ $Revision: 1.1 $
*/
public interface ATPInterface {

  public String prove(String problem,
                      String language,
                      int timeout,
                      String options);
  
} // end ATPInterface.java

      
