// -*- indent-tabs-mode: nil -*-
/*****************************************************************
This file is part of the MathWeb agent system

Authors: Juergen Zimmer

email: jzimmer@mathweb.org
   
For information about this program, write to:                          
MathWeb-Project                                                        
AG Siekmann/FB nformatik                                            
Universitaet des Saarlandes                                          
Bau 36, 4. Stock                                                     
D-66041 Saarbruecken                                                 
Germany    

For information about the newest version of MathWeb, see 
http://www.mathweb.org/mathweb/agents

See the file "LICENSE" or
http://www.mathweb.org/mathweb/LICENSE.html
for information on usage and redistribution
of this file, and for a DISCLAIMER OF ALL WARRANTIES.
*****************************************************************/

//  For testing:

package org.mathweb.broker;

import java.util.Iterator;
import java.util.ArrayList;


//import alice.tuprolog.*;
import nl.tue.win.riaca.openmath.lang.OMObject;
import nl.tue.win.riaca.openmath.lang.OMString;

import org.mathweb.core.OMUtils;

import org.mathweb.serv.*;
import org.mathweb.broker.ServiceEntry;


class ServiceMatcher 
{
  private OMUtils omUtils;
  //  Prolog engine = new Prolog();
  
  public ServiceMatcher()
  {
    omUtils = new OMUtils();
  }
  
//   public ServiceEntry matchQuery(Query query, ServiceRegistry registry)
//   {
//     ArrayList services = registry.getAllEntries();
//     //System.out.println("query to match: " + query.toString());
//     //    System.out.println("all services: " + services.toString());
//     boolean found = false; 
//     Iterator iter = services.iterator();
//     ServiceEntry entry = null;
        
//     // save start time for performance tests
//     long startTime = System.currentTimeMillis();
//     while (!found){
//       if (iter.hasNext()) {
//         entry = (ServiceEntry) iter.next();
//         ReasoningService service = entry.getService();
//         ReasoningProblem servProb = service.getProblem();
//         ReasoningProblem queryProb = query.getProblem();
        
//         boolean directive = query.directive.equals(service.directive);
//         boolean inputs = matchInputs(queryProb.getInputs(), servProb.getInputs());
//         boolean outputs = matchOutputs(queryProb.getOutputs(), servProb.getOutputs());
//         boolean preconds = matchPreconds(queryProb.getPreconds(), servProb.getPreconds());
//         boolean postconds = matchPostconds(queryProb.getPostconds(), servProb.getPostconds());
//         System.out.println("matching with " + service.getName() + ": " +directive + " " +
//                            inputs + " " + outputs + " " + preconds + " " + postconds);
        
//         if (directive && inputs && outputs && preconds && postconds){ 
//           System.out.println("match: " + service.getName());
//           found = true;
//         }
//       } else {
//         break;
//       }      
//     }
//     System.out.println("search time: " + (System.currentTimeMillis()-startTime) + " ms");
//     if (found) return entry;
//     else return null;
//   }
  
//   private boolean matchInputs(ArrayList a, ArrayList b)
//   {
//     int size = a.size();
//     if (!(b.size() == size)) return false;
//     System.out.println("same number of inputs!");
//     Iterator aIt = a.iterator();
//     Iterator bIt = b.iterator();
//     Input ai;
//     Input bi;
//     boolean match = true;
    
//     while (aIt.hasNext() & match){
//       ai = (Input)aIt.next();
//       bi = (Input)bIt.next();
//       if (!(omUtils.equal(ai.getSignature(),bi.getSignature()))){
//         match = false;
//       }
//     }
//     return match;
//   }
  
//   private boolean matchOutputs(ArrayList a, ArrayList b)
//   {
//     int size = a.size();
//     if (!(b.size() == size)) return false;
//     Iterator aIt = a.iterator();
//     Iterator bIt = b.iterator();
//     Output ai;
//     Output bi;
//     boolean match = true;
    
//     while (aIt.hasNext() & match){
//       ai = (Output)aIt.next();
//       bi = (Output)bIt.next();
//       if (!(omUtils.equal(ai.getSignature(),bi.getSignature()))){
//         match = false;
//       }
//     }
//     return match;
//   }
  
//   private boolean matchPreconds(ArrayList queryPreconds, ArrayList servPreconds)
//   {

//     String theoryText = "";
// //     for (int i =0; i< queryPreconds.size(); i++){
// //       PreCondition pre = (PreCondition) queryPreconds.get(i);
// //       Object obj = pre.getOMObject();
// //       if (obj instanceof OMString) {
// //         OMString ostr = (OMString) obj;
// //         theoryText = theoryText + ostr.getString() + "\n";
// //       }
// //     }
    
// //     try{ 
// //       //TODO still a hack. doesn't work with multiple preconds...
// //       theoryText = theoryText + "\n" + "query:- ";
// //       for (int i =0; i< servPreconds.size(); i++){
// //         PreCondition pre = (PreCondition) servPreconds.get(i);
// //         Object obj = pre.getOMObject();
// //         if (obj instanceof OMString) {
// //           OMString ostr = (OMString) obj;
// //           String goal = ostr.getString();
// //           //          System.out.println("goal: " + goal); //throws noSolutionExc.
// //           theoryText = theoryText + goal;
// //         }
// //       }  
// //       theoryText = theoryText + ".";
// //       System.out.println("theory: \n" + theoryText); 
// //       Theory  theory = new Theory(theoryText);
// //       engine.setTheory(theory);
// //       SolveInfo info = engine.solve("query.");
// //       System.out.println("solution: " + info.getSolution()); //throws noSolutionExc.
// //     }catch(NoSolutionException e){
// //       System.err.println("[Prolog: no solution: ");
// //       //   e.printStackTrace();
// //       return false;
// //     }catch(MalformedGoalException e){
// //       System.err.println("[Prolog: malformed goal: ");
// //       e.printStackTrace();
// //       return false;
// //     }catch(InvalidTheoryException e){
// //       System.err.println("[Prolog: invalid theory: ");
// //       e.printStackTrace();
// //       return false;
// //     }
//     return true; 
//   }
  
//   private boolean matchPostconds(ArrayList a, ArrayList b)
//   {// TODO
//     return true;
//   }
  
  public static void main(String argv[]) throws Exception {
//     ReasoningService serv = c.parseServiceFile(file1);
//     serv.trim();
//     System.out.println("service " + serv.toString());
//     Query query = c.parseQueryFile(file2);
//     query.trim();
//     System.out.println("query " + query.toString());
//     ServiceRegistry reg = new ServiceRegistry();
//     reg.put(new AID(),serv);
//     ServiceMatcher matcher = new ServiceMatcher();
//     ServiceEntry e = matcher.matchQuery(query, reg);
//     if (e != null) {System.out.println("match: " + e.toString());
//     }
  }
    

}

  
  
