// package <your-package>

package org.mathweb.core;

import java.util.Date;
import java.util.Vector;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Calendar;
import java.io.*;
import java.net.*;

import org.apache.xmlrpc.*;

/** 
	A facility class to centralize and call all methods offered by the mathweb object broker.
	*/

public class XmlRpcClient 
{
  public static String defaultURL = "";
  
  public XmlRpcClient() throws MalformedURLException {
    // --------------------------------------
    //    initXmlRpcClient();
  }
  
  public Object call(String url, String methodName, Vector params)  throws IOException, XmlRpcException {
    try {
      org.apache.xmlrpc.XmlRpcClient service_connection = new org.apache.xmlrpc.XmlRpcClient(url);
      Object result = service_connection.execute(methodName, params);
      return result;
    }
    catch( IOException e) {
      System.out.println("Trouble with RPC call " + e);
      throw e;
    }
    catch (XmlRpcException e) {
      System.out.println("Trouble with RPC call " + e);
      throw e;
    }
  }
  
  public static void main (String args[]) {
    try 
      {
	Vector params = new Vector();
	org.mathweb.core.XmlRpcClient c = new org.mathweb.core.XmlRpcClient();
	c.call("http://localhost:31416", "shutdown", params);
      }catch (Exception e) {
	e.printStackTrace();
      }
  }
  

} // class MathWebBroker
