package org.mathweb.graph;

/**
 * Represents edge annotations.
 * <p>
 * To do:<br>
 * Expose the <tt>LabeledEdge</tt> implementation so that
 * <tt>setFollowVertexLabel()</tt> can be called to turn it on or off.
 *
 * @author		Juergen Zimmer
 * @version             $Id: Annotation.java,v 1.1 2005/01/10 16:05:35 jzimmer Exp $
 */

public class Annotation  {
  
  private String source; 
  private String target; 
  

  public Annotation(String s, String t)
  {
    source = s; target = t; 
  }

  public String getSource() {
    return this.source;
  }
  public String getTarget() {
    return this.target;
  }

  public String toString(){
    return "(" + source + ", " + target +")";
  }

}

