package org.mathweb.owls;

import org.mindswap.owl.OWLErrorHandler; 

public class Listener implements OWLErrorHandler {
	/* (non-Javadoc)
	 * @see org.mindswap.owls.io.OWLSReaderListener#startService(java.lang.String)
	 */
	public void startService(String serviceURI) {
		System.out.println("Start reading service: " + serviceURI);
	}
    
    /* (non-Javadoc)
     * @see org.mindswap.owls.io.OWLSReaderListener#finishService(java.lang.String)
	 */
    public void finishService(String serviceURI) {
      System.out.println("Finished reading service: " + serviceURI);
    }
    
    /* (non-Javadoc)
     * @see org.mindswap.owls.io.OWLSReaderListener#warning(java.lang.String)
     */
    public void warning(String msg) {
      System.out.println("WARNING: " + msg);
	}
    
    /* (non-Javadoc)
     * @see org.mindswap.owls.io.OWLSReaderListener#error(java.lang.String)
     */
	public void error(String msg) {
	  System.out.println("ERROR: " + msg);
	}
  }
