package org.mathweb.reasoning.logic;


public class BindingConstraint extends CachedHashCodeObject {
    Argument a1;
    Argument a2;

    public BindingConstraint(Argument a1, Argument a2){
	this.a1 = a1;
	this.a2 = a2;
    }

    public String toString(){
	return a1.toString() + " != " + a2.toString();
    }

    public boolean equals(BindingConstraint other) {
	System.out.println("BindingConstraint.equals UNTESTED");
	if(a1.equals(other.a1) && a2.equals(other.a2))
	    return true;
        
        return false;
    }

    public boolean equals(Object o) {
	System.out.println("BindingConstraint.equals UNTESTED");
        try {
            return equals((BindingConstraint) o);
        } catch (ClassCastException e) {
            return false;
        }
    }

    protected void computeHashCode() {
        myhashcode = a1.hashCode();
        myhashcode = myhashcode ^ a2.hashCode();
    }

}
