package org.mathweb.reasoning.partialorderplanner;
import javax.swing.tree.*;
import javax.swing.*;
import java.awt.*;
import org.mathweb.reasoning.logic.*;
import org.mathweb.reasoning.planning.*;

public class SearchTreeCellRenderer extends DefaultTreeCellRenderer {
    public SearchTreeCellRenderer() {
	super();
    }

    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded, 
					   boolean leaf, int row, boolean hasFocus) {
	Component c = super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);

	if(((DefaultMutableTreeNode)value).getUserObject().getClass() == Literal.class)
	    c.setForeground(Color.BLUE);

	else if(value.getClass() == SearchTreeActionNode.class)
	    c.setForeground(Color.RED);

	return c;
    }
}
