/******************************************************************************
* MODULE     : mathweb.cpp
* DESCRIPTION: Calls the MathWeb TP broker
* AUTHOR     : Henri Lesourd, Uni Saarbrucken, 2004
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <stdio.h>
#include <iostream.h>
#include "common.c"

int
main () {
  int sock;
  char *resu;
  bool connected=false;

  cout << DATA_BEGIN << "verbatim:";
  cout << "Plugin for the mathweb TP broker\n";
  cout << DATA_END;
  fflush (stdout);
  
  //  system("/bin/sh -c /home/jzimmer/bin/texmacs-mathweb &");
  //  system("sleep 2");

  while (true) {
    char buffer[10000];
    char translatedBuf[10000]="translatedBuf";
    char *p1,*p2;
    *buffer=0;
    cin.getline(buffer,sizeof(buffer)-10,'\n');

 // Connecting to the server
    socketErrorExit=0;
    sock=open_socket("localhost",4445);
    connected=(sock!=-1);

    if (connected) {
      remove_carriages(buffer);
      buffer[strlen(buffer)+1]=0;
      buffer[strlen(buffer)]='\n';
      cout << DATA_BEGIN;
      resu=remove_carriages(ask_socket(sock,buffer));
      if (*resu=='(')
        cout << "scheme:" << resu;
      else
        cout << "scheme:\"" << resu << "\"";
      cout << DATA_END;
      fflush (stdout);
    }
    else {
      cout << DATA_BEGIN;
      p1=buffer;
      p2=translatedBuf+13;
      while (*p1) {
         p2[0]='{';
         p2[1]=*p1;
         p2[2]='}';
         p1++;
         p2+=3;
      }
      *p2=0;
      cout << "verbatim:\"" << translatedBuf << "\"";
      cout << DATA_END;
      fflush (stdout);
    }

    close_socket(sock);
  }
  return 0;
}
