#include <time.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

void log_print(char *file,char *str1,char*str2,char *msg,char *val) {
   FILE *f=fopen(file,"a");
   fprintf(f,"%s%s%s%s",str1,msg,val,str2);
   fclose(f);
}
int logOutstring=1;
void outstring(char *str) {
   if (logOutstring) log_print("LOGSOCK","[","]","",str);
   printf("%s",str);
 //fflush(stdout);
}
void outnumber(int i) {
   static char buffer[100];
   sprintf(buffer,"%d",i);
   outstring(buffer);
}
void outchar(int i) {
   static char buffer[10];
   sprintf(buffer,"%c",i);
   outstring(buffer);
}
int socketErrorExit=1;
int open_socket(char *srv,int port) {
   int sock=-1;
   struct sockaddr_in adsock;
   struct hostent *hptr ;
   bzero(&adsock,sizeof(adsock));
   if ((hptr=gethostbyname(srv))==NULL) {
      if (socketErrorExit) {
         outstring("Cant get host info\n");
         exit(1);
      }
      else return -1;
   }
   adsock.sin_addr=*(struct in_addr *)hptr->h_addr;
   adsock.sin_family=AF_INET;
   adsock.sin_port=htons(port);
   if ((sock=socket(AF_INET,SOCK_STREAM,0))<0) {
      if (socketErrorExit) {
         outstring("Cannot create socket\n");
         exit(1);
      }
      else return -1;
   }
   if ((connect(sock,(struct sockaddr *)&adsock,sizeof(adsock)))<0) {
      if (socketErrorExit) {
         outstring("Cannot connect\n");
         exit(1);
      }
      else return -1;
   }
   return sock;
}
void flush_socket(int sock) {
   FILE *f;
   if ((f=fdopen(sock,"r+"))==NULL) {
      if (socketErrorExit) {
         outstring("Cant fdopen\n");
         exit(1);
      }
      else return;
   }
   fflush(f);
}
char *socket_term_answ="";
long socket_timeout_seconds=5;
char *ask_socket_bis(int sock,char *req,int speak) {
   char buf[256],*resu="";
   fd_set rfds;
   struct timeval tv;
   if (speak) {
      if ((write(sock,req,strlen(req)))<0) {
         if (socketErrorExit) {
            outstring("Cannot write\n");
            exit(1);
         }
         else return "CANNOT WRITE";
      }
    //flush_socket(sock);
   }
LOOP:;
   FD_ZERO(&rfds);
   FD_SET(sock, &rfds);
   tv.tv_sec=socket_timeout_seconds;
   tv.tv_usec=0;
   while (select(sock+1,&rfds,NULL,NULL,&tv)) {
      char *s;
      int n,len;
      len=read(sock,buf,sizeof(buf)-10);
//outstring("Len=%d\n",len);
      if (len==-1||len==0) {
  outstring("Len0=");
  outnumber(len);
  outstring("\n");
         goto EX;
       /*if (*socket_term_answ==0 || strlen(resu)<strlen(socket_term_answ)) goto EX;
         if (strcmp(resu+strlen(resu)-strlen(socket_term_answ),socket_term_answ)) {
            goto LOOP;
         }
         else goto EX;*/
      }
      FD_ZERO(&rfds);
      FD_SET(sock,&rfds);
      tv.tv_sec=0;
      tv.tv_usec=0;
      n=strlen(resu);
      s=(char*)malloc(n+len+1);
      strcpy(s,resu);
      strncpy(s+n,buf,len);
      s[n+len]=0;
      resu=s;
   }
EX:;
         if (*socket_term_answ==0 || strlen(resu)<strlen(socket_term_answ)) goto EX2;
         if (strcmp(resu+strlen(resu)-strlen(socket_term_answ),socket_term_answ)) {
  //outstring("Len01\n");
            goto LOOP;
         }
EX2:;
   return *resu==0?(char*)"CANNOT GET RESULT":resu;
}
char *ask_socket(int sock,char *req) {
   return ask_socket_bis(sock,req,1);
}
void close_socket(int sock) {
   close(sock);
}
char *remove_endchars(char *s,int c) {
   int len=strlen(s);
   while (len>0 && s[len-1]==c) {
      s[len-1]=0;
      len--;
   } 
   return s;
}
char *remove_carriages(char *s) {
   return remove_endchars(s,'\n');
}
