#ifndef TP_DISCRIMW_H
#define TP_DISCRIMW_H

#include "discrim.h"

/* INTRODUCTION
Discrimination tree indexing in which all variables
variables are represented as wildcards in the index.
Matching occurs after retrieval of candidates.
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from discrimw.c */

void fprint_discrimw_mem(FILE *fp, BOOL heading);

void p_discrimw_mem(void);

void fprint_discrim_wild_index(FILE *fp, Discrim d);

void p_discrim_wild_index(Discrim d);

void discrim_wild_update(Term t, Discrim root, void *object, Indexop op);

void *discrim_wild_retrieve_first(Term t, Discrim root,
				  Discrim_pos *ppos);

void *discrim_wild_retrieve_next(Discrim_pos pos);

void discrim_wild_cancel(Discrim_pos pos);

#endif  /* conditional compilation of whole file */
