#ifndef TP_TERMFLAG_H
#define TP_TERMFLAG_H

#include "term.h"

/* INTRODUCTION
*/

/* Public definitions */

#define TP_BIT(bits, flag)     (bits & flag)

/* End of public definitions */

/* Public function prototypes from termflag.c */

int claim_term_flag();

void release_term_flag(int bit);

void term_flag_set(Term t, int flag);

void term_flag_clear(Term t, int flag);

BOOL term_flag(Term t, int flag);

int term_flags();

Term copy_term_with_flags(Term t);

Term copy_term_with_flag(Term t, int flag);

void term_flag_clear_recursively(Term t, int flag);

#endif  /* conditional compilation of whole file */
