#ifndef TP_WEIGHT_H
#define TP_WEIGHT_H

#include "clause.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from weight.c */

void init_weight(Plist rules,
		 int variable_weight,
		 int constant_weight,
		 int not_weight,
		 int or_weight,
		 int sk_constant_weight,
		 int prop_atom_weight,
		 int skolem_penalty,
		 int nest_penalty);

int weight(Term t, Context subst);

int clause_weight(Clause c);

#endif  /* conditional compilation of whole file */
