#ifndef TP_INDEX_LITS_H
#define TP_INDEX_LITS_H

#include "../ladr/clock.h"
#include "../ladr/subsume.h"
#include "../ladr/di_tree.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from index_lits.c */

void init_literals_index(void);

void destroy_literals_index(void);

void index_literals(Clause c, Indexop op, Clock clock, BOOL no_fapl);

void index_goal(Clause c, Indexop op, Clock clock);

Plist unit_conflict(Clause c, int max);

void unit_deletion(Clause c);

Plist back_unit_deletable(Clause c);

Clause forward_subsumption(Clause d);

Plist back_subsumption(Clause c);

void lits_idx_report(void);

#endif  /* conditional compilation of whole file */
