#ifndef TP_UTILITIES_H
#define TP_UTILITIES_H

#include "../ladr/glist.h"
#include "../ladr/clist.h"
#include "search.h"

/* INTRODUCTION
*/

/* Public definitions */

/* End of public definitions */

/* Public function prototypes from utilities.c */

void print_memory_stats(FILE *fp);

void fsym_report(Ilist fsyms, Plist clauses);

void inverse_order(Clist clauses);

void symbol_order(Clist usable, Clist sos, Clist demods,
		  Clist goals, BOOL echo);

Ilist unary_symbols(Ilist a);

void auto_kb_weights(Clist usable, Clist sos);

Prover_input std_prover_init_and_input(int argc, char **argv,
				       BOOL echo, int unknown_action);

void std_clausify(Prover_input p, BOOL echo);

int neg_pos_depth_difference(Plist sos);

void structure_of_clauses(Clist clauses);

int plist_size_of_diff(Plist a, Plist b);

void structure_of_variables(Clist clauses);

Ordertype clause_compare_m4(Clause a, Clause b);

int bogo_ticks(void);

#endif  /* conditional compilation of whole file */
