#ifndef INC_KIFLexer_hpp_
#define INC_KIFLexer_hpp_

#line 19 "KIF.g"

    // gets inserted before antlr generated includes in the header file
  class FormulaList;
  class Term;
  class Atom;
  class Formula;
  class TermList;
  class FunctionSymbol;
  class PredicateSymbol;

#line 16 "KIFLexer.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3 (20040506-1): "KIF.g" -> "KIFLexer.hpp"$ */
#include <antlr/CommonToken.hpp>
#include <antlr/InputBuffer.hpp>
#include <antlr/BitSet.hpp>
#include "KIFLexerTokenTypes.hpp"
#include <antlr/CharScanner.hpp>
#line 29 "KIF.g"

    // gets inserted after antlr generated includes in the header file
     // outside any generated namespace specifications
#include "Var.hpp"
#include "Connective.hpp"

#line 31 "KIFLexer.hpp"
#line 44 "KIF.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 37 "KIFLexer.hpp"
class CUSTOM_API KIFLexer : public antlr::CharScanner, public KIFLexerTokenTypes
{
#line 1 "KIF.g"
#line 41 "KIFLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const
	{
		return true;
	}
public:
	KIFLexer(std::istream& in);
	KIFLexer(antlr::InputBuffer& ib);
	KIFLexer(const antlr::LexerSharedInputState& state);
	antlr::RefToken nextToken();
	protected: void mUPPER(bool _createToken);
	protected: void mLOWER(bool _createToken);
	protected: void mDIGIT(bool _createToken);
	protected: void mSPECIAL(bool _createToken);
	protected: void mWHITE(bool _createToken);
	protected: void mINITIALCHAR(bool _createToken);
	protected: void mWORDCHAR(bool _createToken);
	protected: void mCHARACTER(bool _createToken);
	protected: void mTICK(bool _createToken);
	public: void mWORD(bool _createToken);
	public: void mSTRING(bool _createToken);
	public: void mVARIABLE(bool _createToken);
	protected: void mFIGURE(bool _createToken);
	public: void mNUMBER(bool _createToken);
	protected: void mEXPONENT(bool _createToken);
	public: void mQUOTE(bool _createToken);
	public: void mSKIP_RULE(bool _createToken);
	public: void mCOMMENT_LINE(bool _createToken);
	public: void mLPAR(bool _createToken);
	public: void mRPAR(bool _createToken);
	public: void mLESS(bool _createToken);
	public: void mMORE(bool _createToken);
	public: void mLESSEQ(bool _createToken);
	public: void mGEQ(bool _createToken);
	public: void mIMPLY(bool _createToken);
	public: void mEQUIVALENCE(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const antlr::BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const antlr::BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const antlr::BitSet _tokenSet_2;
};

#endif /*INC_KIFLexer_hpp_*/
