#ifndef INC_TPTPLexer_hpp_
#define INC_TPTPLexer_hpp_

#line 17 "TPTP.g"

    // gets inserted before antlr generated includes in the header file
#include "Unit.hpp"

#line 10 "TPTPLexer.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3 (20040506-1): "TPTP.g" -> "TPTPLexer.hpp"$ */
#include <antlr/CommonToken.hpp>
#include <antlr/InputBuffer.hpp>
#include <antlr/BitSet.hpp>
#include "TPTPLexerTokenTypes.hpp"
#include <antlr/CharScanner.hpp>
#line 21 "TPTP.g"

    // gets inserted after antlr generated includes in the header file
     // outside any generated namespace specifications

#line 23 "TPTPLexer.hpp"
#line 34 "TPTP.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 29 "TPTPLexer.hpp"
class CUSTOM_API TPTPLexer : public antlr::CharScanner, public TPTPLexerTokenTypes
{
#line 1 "TPTP.g"
#line 33 "TPTPLexer.hpp"
private:
	void initLiterals();
public:
	bool getCaseSensitiveLiterals() const
	{
		return true;
	}
public:
	TPTPLexer(std::istream& in);
	TPTPLexer(antlr::InputBuffer& ib);
	TPTPLexer(const antlr::LexerSharedInputState& state);
	antlr::RefToken nextToken();
	protected: void mUPPER(bool _createToken);
	protected: void mLOWER(bool _createToken);
	protected: void mDIGIT(bool _createToken);
	protected: void mWHITE(bool _createToken);
	protected: void mNUMBER(bool _createToken);
	protected: void mWORDCHAR(bool _createToken);
	protected: void mCHARACTER(bool _createToken);
	public: void mSKIP_RULE(bool _createToken);
	public: void mCOMMENT_LINE(bool _createToken);
	protected: void mQUOTE(bool _createToken);
	public: void mFILE_NAME(bool _createToken);
	public: void mLPAR(bool _createToken);
	public: void mRPAR(bool _createToken);
	public: void mLBRA(bool _createToken);
	public: void mRBRA(bool _createToken);
	public: void mCOMMA(bool _createToken);
	public: void mCOLON(bool _createToken);
	public: void mDOT(bool _createToken);
	public: void mT_AND(bool _createToken);
	public: void mT_NOT(bool _createToken);
	public: void mT_OR(bool _createToken);
	public: void mT_IFF(bool _createToken);
	public: void mT_IMP(bool _createToken);
	public: void mT_XOR(bool _createToken);
	public: void mT_FORALL(bool _createToken);
	public: void mT_EXISTS(bool _createToken);
	public: void mPP(bool _createToken);
	public: void mMM(bool _createToken);
	public: void mNAME(bool _createToken);
	public: void mVAR(bool _createToken);
private:
	
	static const unsigned long _tokenSet_0_data_[];
	static const antlr::BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const antlr::BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const antlr::BitSet _tokenSet_2;
};

#endif /*INC_TPTPLexer_hpp_*/
