#ifndef INC_TPTPLexerTokenTypes_hpp_
#define INC_TPTPLexerTokenTypes_hpp_

/* $ANTLR 2.7.3 (20040506-1): "TPTP.g" -> "TPTPLexerTokenTypes.hpp"$ */

#ifndef CUSTOM_API
# define CUSTOM_API
#endif

#ifdef __cplusplus
struct CUSTOM_API TPTPLexerTokenTypes {
#endif
	enum {
		EOF_ = 1,
		UPPER = 4,
		LOWER = 5,
		DIGIT = 6,
		WHITE = 7,
		NUMBER = 8,
		WORDCHAR = 9,
		CHARACTER = 10,
		SKIP_RULE = 11,
		COMMENT_LINE = 12,
		QUOTE = 13,
		FILE_NAME = 14,
		LPAR = 15,
		RPAR = 16,
		LBRA = 17,
		RBRA = 18,
		COMMA = 19,
		COLON = 20,
		DOT = 21,
		T_AND = 22,
		T_NOT = 23,
		T_OR = 24,
		T_IFF = 25,
		T_IMP = 26,
		T_XOR = 27,
		T_FORALL = 28,
		T_EXISTS = 29,
		PP = 30,
		MM = 31,
		NAME = 32,
		VAR = 33,
		LITERAL_input_formula = 34,
		LITERAL_input_clause = 35,
		LITERAL_include = 36,
		NULL_TREE_LOOKAHEAD = 3
	};
#ifdef __cplusplus
};
#endif
#endif /*INC_TPTPLexerTokenTypes_hpp_*/
