#ifndef INC_TPTPParser_hpp_
#define INC_TPTPParser_hpp_

#line 17 "TPTP.g"

    // gets inserted before antlr generated includes in the header file
#include "Unit.hpp"

#line 10 "TPTPParser.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.3 (20040506-1): "TPTP.g" -> "TPTPParser.hpp"$ */
#include <antlr/TokenStream.hpp>
#include <antlr/TokenBuffer.hpp>
#include "TPTPLexerTokenTypes.hpp"
#include <antlr/LLkParser.hpp>

#line 21 "TPTP.g"

    // gets inserted after antlr generated includes in the header file
     // outside any generated namespace specifications

#line 23 "TPTPParser.hpp"
#line 34 "TPTP.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 29 "TPTPParser.hpp"
class CUSTOM_API TPTPParser : public antlr::LLkParser, public TPTPLexerTokenTypes
{
#line 169 "TPTP.g"

#line 33 "TPTPParser.hpp"
public:
	void initializeASTFactory( antlr::ASTFactory& factory );
protected:
	TPTPParser(antlr::TokenBuffer& tokenBuf, int k);
public:
	TPTPParser(antlr::TokenBuffer& tokenBuf);
protected:
	TPTPParser(antlr::TokenStream& lexer, int k);
public:
	TPTPParser(antlr::TokenStream& lexer);
	TPTPParser(const antlr::ParserSharedInputState& state);
	int getNumTokens() const
	{
		return TPTPParser::NUM_TOKENS;
	}
	const char* getTokenName( int type ) const
	{
		if( type > getNumTokens() ) return 0;
		return TPTPParser::tokenNames[type];
	}
	const char* const* getTokenNames() const
	{
		return TPTPParser::tokenNames;
	}
	public: void units(
		UnitList& us
	);
	public: void include(
		UnitList& us
	);
	public: void unit(
		Unit& unit
	);
	public: void kw_include();
	public: void kw_formula();
	public: InputType  type();
	public: void formula(
		Formula& f
	);
	public: void kw_clause();
	public: void clause(
		Clause& c
	);
	public: void xorformula(
		Formula& f
	);
	public: void literals(
		LiteralList& ls
	);
	public: void impformula(
		Formula& f
	);
	public: void literal(
		Literal& l
	);
	public: void orformula(
		Formula& f
	);
	public: bool  sign();
	public: void atom(
		Atom& a
	);
	public: void andformula(
		Formula& f
	);
	public: void terms(
		TermList& ts
	);
	public: void simple_formula(
		Formula& f
	);
	public: void term(
		Term& t
	);
	public: void varlist(
		VarList& vs
	);
	public: void vars(
		VarList& vs
	);
public:
	antlr::RefAST getAST()
	{
		return returnAST;
	}
	
protected:
	antlr::RefAST returnAST;
private:
	static const char* tokenNames[];
#ifndef NO_STATIC_CONSTS
	static const int NUM_TOKENS = 37;
#else
	enum {
		NUM_TOKENS = 37
	};
#endif
	
};

#endif /*INC_TPTPParser_hpp_*/
